<?php

namespace Drupal\fox\Plugin\FoxCommand;

/**
 * LOAD fox command.
 *
 * @FoxCommand(
 *   id = "load",
 *   label = @Translation("Load file. Usage: LOAD FILE")
 * )
 */
class FoxCommandLoad extends FoxCommandBaseClass {

  /**
   * {@inheritdoc}
   */
  public function execute(array $params, array $variables): array {
    if (empty($params)) {
      return $this->errorReturn($this->t('Empty command parameter.'));
    }

    $helper = $this->foxCommandsHelper();

    $filename = reset($params);
    $file = $helper->getFilePath($filename);
    if (file_exists($file)) {
      $rows = $helper->loadFile($file);
    }
    else {
      return $this->errorReturn($this->t("File @file doesn't exist.", ['@file' => $file]));
    }

    return [
      'message' => $this->t('File @file was loaded', ['@file' => $file]),
      'commands' => $rows,
    ];
  }

}
